@import "../../../../scss/variables.scss";
@import "../../../../../node_modules/bulma/sass/utilities/_all.sass";

.resource-container {
  background-color: $grey-background-color;
  position: relative;

  @media screen and (min-width: $tablet) {
    padding: 2rem 1.25rem 1.25rem 1.25rem;
  }
}

.blury {
  filter: blur(4px);
  max-height: 100vh;
  overflow: hidden;
}

.restricted-access-container {
  margin-top: -2rem;
  margin-left: -1.25rem;
  margin-right: -1.25rem;
  margin-bottom: 1rem;
}

.card-header-title {
  justify-content: center;
}

.unlock-icon {
  margin-bottom: 0.5rem;

  i {
    font-size: 1.5rem;
  }
}

h3 {
  margin-top: 0;
  margin-bottom: 0;
}

h4 {
  font-weight: 700;
}

.underlined {
  text-decoration: underline;
}

.columns {
  margin: 0;
  margin-bottom: 2rem;
}

.services.columns {
  justify-content: space-evenly;
}

.resource-queryable {
  padding-bottom: 3rem;

  .resource-item {
    background-color: white;
    padding-top: 0.5rem;
    border-radius: 8px;

    @media screen and (min-width: $tablet) {
      margin-bottom: 1rem;
      padding: 1.7rem 2rem;

      box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
    }
  }

  .resource-description {
    padding-bottom: 0.5rem;

    @media screen and (max-width: $tablet) {
      padding: 1rem 0.7rem 1.5rem 0.7rem;
      border-bottom: 1px solid $grey-background-color;
    }

    span {
      font-weight: 600;
      line-height: 1;
      font-size: 1rem;
    }
  }
}

.resource-other-link {
  a {
    font-size: 0.875rem;
  }
}

.resource-header {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}

.resource-header-title {
  font-size: 1.25rem;
  font-weight: 700;
  margin-left: 1rem;
}

.resource-header-icon {
  height: 2.25rem;
  width: 2.25rem;
  background-color: $grey-super-light-color;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;

  svg {
    height: 1.125rem;
    fill: white;
  }
}
